:root {
    --sw-border-color: #eeeeee;
    --sw-toolbar-btn-color: #ffffff;
    --sw-toolbar-btn-background-color: #009EF7;
    --sw-anchor-default-primary-color: #f8f9fa;
    --sw-anchor-default-secondary-color: darkgreen;
    --sw-anchor-active-primary-color: darkgreen;
    --sw-anchor-active-secondary-color: #ffffff;
    --sw-anchor-done-primary-color: lightgreen;
    --sw-anchor-done-secondary-color: #fefefe;
    --sw-anchor-disabled-primary-color: #f8f9fa;
    --sw-anchor-disabled-secondary-color: #dbe0e5;
    --sw-anchor-error-primary-color: #dc3545;
    --sw-anchor-error-secondary-color: #ffffff;
    --sw-anchor-warning-primary-color: #ffc107;
    --sw-anchor-warning-secondary-color: #ffffff;
    --sw-progress-color: darkgreen;
    --sw-progress-background-color: #f8f9fa;
    --sw-loader-color: #009EF7;
    --sw-loader-background-color: #f8f9fa;
    --sw-loader-background-wrapper-color: rgba(255, 255, 255, 0.7);
}

.xmobile{
    display:none;
    position: absolute;
    bottom: 65px;
    right: 10px;
}
.preciomobile {position: absolute;
display:none;
top: 60px;
right: 1px;
}

.disablede{
    pointer-events: none !important;
    background: lightgray !important;
}
.spinner-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.5); /* Fondo blanco con transparencia */
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner-container .spinner-border{
    color: #018543;
}

.circle {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background-color: #78B645;
    color: white;
    cursor: pointer;
    font-size: 13px;
}

.circle span {
    font-size: 24px;
    line-height: 1;
}

.circles-menu-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}


.salir {
    /*  border: 1px solid #000;*/
    /*anchura, estilo y color borde*/
   /* padding: 10px;
    /*espacio alrededor texto*/
    /*background-color: #000;*/
    /*color botón*/
    color: black;
    /*color texto*/
    text-decoration: none;
    /*decoración texto*/
    text-transform: uppercase;
    /*capitalización texto*/
    font-family: 'Helvetica', sans-serif;
    /*tipografía texto*/
    border-radius: 50px;
    /*bordes redondos*/
    cursor: pointer;
    font-size:12px;
    font-weight: bold;
}

.alert-danger_p2c {
    display: none;
}

.alert-danger_c2p {
    /*display: none;*/
}

.img-carrito {
    width: 100px;
    height: 91px;
    /*background-size: cover;
    background-position: center;*/
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    /*background-image: url('https://api.banfanbclub.com/img/products/AikBgGB9syEVKfYjNkdondnSGmnrrLkktjbHkDHI.jpeg?w=843&ssl=1');*/
    border-radius: 12px;
}

#modal-productos-servicios .modal-title {
    line-height: 1;
    font-weight: 500;
    font-size: 24px;
}

#modal-productos-servicios .close {
    background: none;
    color: #111;
    opacity: .8;
    box-shadow: none;
}

#modal-productos-servicios .close:hover {
    background: none;
    opacity: 1;
}

span.menosmenu {
    transition: background-color 0.3s ease;
}

span.menosmenu.disabled {
    cursor: default;
    pointer-events: none;
    background-color: #dddddd;
    transition: background-color 0.3s ease;
}

.modal-header {
    align-items: center;
}

.circles-menu-container .item-quantity {
    width: 20px;
}

.contenedor-item-menu {
    border-radius: 5px;
    border: 1px solid #dddd;
    padding: 20px 40px;
}

#modal-productos-servicios {
    padding-right: 0 !important;
}

#modal-productos-servicios .contenedor-menu {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.contenedor-item-menu {
    position: relative;
}

.delete-icon-container {
    position: absolute;
    z-index: 1;
    right: 40px;
    font-size: 12px;
    top: 25px;
    line-height: 1;
    
}

.delete-icon-container2 {
 /*   position: absolute;*/
    z-index: 1;
    right: 40px;
    font-size: 12px;
    top: 25px;
    line-height: 1;
    
}


#modal-productos-servicios .container {
    display: flex;
    gap: 10px;
    padding-right: 0;
    padding-left: 0;
    font-size: 15px;
    font-weight: 500;
}


#modal-productos-servicios .image-container {
    flex-grow: 0.25;
    display: flex;
}

#modal-productos-servicios .image-container img {
    min-width: 100px;
    max-width: 100px;
    object-fit: contain;
}

#modal-productos-servicios .content-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    flex-grow: 1;
    gap: 10px
}

#modal-productos-servicios .content-container .item-container {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#modal-productos-servicios .content-container .item-container:not(:first-of-type):not(:last-of-type) {
    border-bottom: 1px dotted #dddd;
    padding-bottom: 5px;
}

#modal-productos-servicios .item-quantity-button-container {
    display: flex;
    gap: 10px;
    
}

#modal-productos-servicios .item-quantity-container {
    display: flex;
    gap: 15px;
}

#modal-productos-servicios .item-quantity {
    text-align: center;
}

#modal-productos-servicios .item-total {
    display: flex;
    justify-content: space-between;
}

#modal-productos-servicios .title {
    font-weight: 400;
    text-transform: uppercase;
    font-size: 13px;
}

#modal-productos-servicios .item-price {
    color: #7d7d7d;
}


#modal-productos-servicios .item-price-total {
    color: #78B645;
    font-weight: 500;
}

/*#modal-productos-servicios .modal-body {*/
/*    padding: 1rem 1.5rem;*/
/*}*/

#modal-productos-servicios .item-name span {
    margin-right: 18px;
}

#modal-productos-servicios .btn-exp-cancelar {
    margin-bottom: .25rem!important;
}

.modal#modal-registro .modal-header button.close {
    background-color: transparent;
    color: #000;
    font-weight: 500;
}

.modal#modal-registro .modal-header button.close:hover {
    box-shadow: none;
    color: initial;
}


.modal#modal-registro  h5{
    font-weight: 700
}

@media screen and (min-width: 876px) and (max-width: 1024px) {
    
    .img-carrito {
        width: 90px;
        height: 90px;
    }
    
}

@media (max-width: 767px) 
{
    
    .table-responsive table {
        width: 100%; /* Asegura que la tabla ocupe todo el ancho disponible */
        display: block; /* Cambia el display a block para que los elementos se muestren uno debajo del otro */
    }
    
    .table-responsive thead tr {
        display: none; /* Oculta la fila de encabezado en dispositivos móviles */
    }
    
    .table-responsive tbody tr {
        display: block; /* Cambia el display de las filas a block */
        margin-bottom: 10px; /* Agrega un margen inferior para separar las filas */
    }
    
    .table-responsive tbody td {
        display: block; /* Cambia el display de las celdas a block */
        text-align: center; /* Centra el texto */
        width: 100%; /* Hace que las celdas ocupen todo el ancho disponible */
    }
    .img-carrito{
        width: 130px !important;
        height: 130px !important;
    }
    .divmodificado{
        position: relative;
        
    }
    .contenedordecantidad{
        justify-content: space-evenly !important;
    }
    .xmobile{
        display:block;
        position: absolute;
        bottom: 65px;
        right: 10px;
    }
    .preciomobile {
        position: absolute;
        display:block;
        top: 60px;
        right: 1px;
    }
    .ocultarmobile{
        display:none !important;
    }
    
 /*   tbody tr td:nth-child(1) {
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    
}*/
    
    
}
@media screen and (min-width: 768px) and (max-width: 875px) {
    
    .img-carrito {
        width: 100%;
        /* height: 360px;*/
    }
    
    .product-details {
        font-size: 12px;
    }
    
    .product-details .product-price {
        font-size: 13px;
    }
    
}

@media screen and (min-width: 320px) and (max-width: 767px) {
    
    .ocultarmobile{
        display:none !important;
    }
    
    .img-carrito {
        width: 100%;
        /* height: 250px; */
        display: inline-grid;
    }
    
    .product-details .product-price {
        font-size: 12px;
    }
}

@media (max-width: 480px) {
    .contenedor-item-menu {
        
        padding: 1rem 1.25rem;
    }
    
    #modal-productos-servicios .modal-title {
        font-size: 1.25rem;
    }
    
    #modal-productos-servicios .modal-body {
        font-size: 14px;
        padding-left: .5rem;
        padding-right: .5rem;
    }
    
    #modal-productos-servicios .modal-body .row>div:not(:first-child):not(:last-child) {
        padding-left: 5px;
        padding-right: 5px;
    }
    
    #modal-productos-servicios .modal-body .row>div:first-child {
        padding-right: 5px
    }
    
    #modal-productos-servicios .modal-body .row>div:last-child {
        padding-left: 5px
    }
    
    #modal-productos-servicios .modal-body {
        overflow-x: scroll;
    }
    
    .delete-icon-container {
        right: 20px;
        top: 20px;
    }
}

.sw-btn-prev {
    background-color: darkgreen !important;
}

.sw-btn-next {
    background-color: darkgreen !important;
}

p {
    margin-top: 0;
    margin-bottom: 0px;
}

.tab-content {
    height: 100% !important;
}

.alert-success-cc {
    display: none;
}

.modal-content {
    /*   height:800px !important;*/
}

#carrito {
    display: none !important;
}

.site-content{
    background-color: #F7F7F7;    
}
#main{
    background-color: #F7F7F7;     
}

#body-carrito-pedido{
    border-radius: 30px !important;
}

.body_carrito_left{
    padding: 25px;
}

.body_carrito_right{
    /*padding-right: 20px;*/
}

thead th {
    background-color: #ffffff; 
    
    
}
.table td, .table th {

    border-top: 0px solid white !important;
}



.table thead th{
    
    border-bottom: 5px solid transparent !important;
    border-top: 5px solid transparent !important;
    font-family: poppins;
    
}
.table thead{
    border-radius: 30px !important;
    
}
tbody td {
    background-color: #ffffff !important; 
    /* border-radius: 30px;*/
    
    
}

/*tbody tr td:nth-child(1){
    border-top-left-radius: 30px;
    border-bottom-left-radius: 30px;
}

tbody tr td:nth-child(5){
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
}*/

.contenedordecantidad{
    display: flex;
    justify-content: space-between !important;
}

.titulo_tabla{
font-weight: 500;
font-size: 16px;
line-height: 44px;
color: #898989;
}

.titulo_item{

font-weight: 700;
font-size: 18px;
color: #000000;
padding-bottom: 10px;
padding-left: 10px;

}

.titulo_item_sencillo{


font-size: 16px;
color: #000000;

padding-left: 10px;

}

.titulo_item_verde{

font-weight: bold;
font-size: 16px;
color: #78B645;

padding-left: 10px;

}
.bordes-precios{
    border-bottom: 0.5px lightgray groove;
    border-top: 0.5px lightgray groove;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-right: 5px;
}

.margen{
    margin-right: 5px;
}
.sub-titulo{
font-weight: 400;
font-size: 14px;
color: #C4C4C4;
padding-left: 10px;
}

.clase_precio{
font-weight: 500;
font-size: 24px;
color: #000000;
}

.clase-total{
font-weight: 700;
font-size: 24px;
color: #000000;
}

.clase_cantidad{
font-weight: 700;
font-size: 20px;
color: #000000;
}

.equis{
width: 40px;
height: 40px;
}

.border-caja{
   /* border: 1px groove;*/
}

.separacionspc{
    justify-content: space-between;
    display: flex;
}